POST api/WeChatSL/CreateOrder

Request Information

URI Parameters

None.

Body Parameters

ReqWeChatSLCreateOrderModel
NameDescriptionTypeAdditional information
mid

string

Required

d

string

Required

token

string

Required

nonce

integer

Required

sign

string

Required

Request Formats

application/json, text/json

Sample:
{
  "mid": "sample string 1",
  "d": "sample string 2",
  "token": "sample string 3",
  "nonce": 4,
  "sign": "sample string 5"
}

application/xml, text/xml

Sample:
<ReqWeChatSLCreateOrderModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Ys.Mall.Service">
  <nonce>4</nonce>
  <sign>sample string 5</sign>
  <token>sample string 3</token>
  <d>sample string 2</d>
  <mid>sample string 1</mid>
</ReqWeChatSLCreateOrderModel>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

APIResponseOfDataBodyContentOfRsp_Create_Order_Wx_Model
NameDescriptionTypeAdditional information
body

DataBodyContentOfRsp_Create_Order_Wx_Model

None.

header

APIResponseHeader

None.

Response Formats

application/json, text/json

Sample:
{
  "body": {
    "datas": {
      "appId": "sample string 1",
      "timeStamp": "sample string 2",
      "nonceStr": "sample string 3",
      "package": "sample string 4",
      "signType": "sample string 5",
      "paySign": "sample string 6",
      "oid": "d515ae8b-7476-42ba-979f-4f085a47d588"
    }
  }
}

application/xml, text/xml

Sample:
<APIResponseOfDataBodyContentOfRsp_Create_Order_Wx_ModelT2AzrKNAT2AzrKNA xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Ys.Mall.Service">
  <header i:nil="true" />
  <body>
    <datas>
      <appId>sample string 1</appId>
      <nonceStr>sample string 3</nonceStr>
      <oid>d515ae8b-7476-42ba-979f-4f085a47d588</oid>
      <package>sample string 4</package>
      <paySign>sample string 6</paySign>
      <signType>sample string 5</signType>
      <timeStamp>sample string 2</timeStamp>
    </datas>
  </body>
</APIResponseOfDataBodyContentOfRsp_Create_Order_Wx_ModelT2AzrKNAT2AzrKNA>